/***************************************************************************
                          oiditem.cpp  -  description
                             -------------------
    begin                : P ?ec 12 2002
    copyright            : (C) 2002 by Lumir Vanek
    email                : lvanek@users.sourceforge.net 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "oiditem.h"

OidItem::OidItem()
{
	m_anOID_len = MAX_OID_LEN;
}

OidItem::~OidItem()
{
}

/** Return path */
QString OidItem::Path() const
{
	QCString cstrTmp(SPRINT_MAX_LEN + 1);
	snprint_objid(cstrTmp.data(), SPRINT_MAX_LEN, (oid*) m_anOID, m_anOID_len);
	return QString(cstrTmp);
}

/** Read OID */
void OidItem::Read_objid(const QString &strPath)
{
	read_objid(strPath, m_anOID, &m_anOID_len);
}
