/***************************************************************************
                          oiditem.h  -  description
                             -------------------
    begin                : P ?ec 12 2002
    copyright            : (C) 2002 by Lumir Vanek
    email                : lvanek@users.sourceforge.net 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef OIDITEM_H
#define OIDITEM_H


// include files for Net-SNMP
#include <net-snmp/net-snmp-config.h>
#include <net-snmp/net-snmp-includes.h>

#include <qcstring.h>
#include <qstring.h>


/**Encapsulates OID structure
  *@author Lumir Vanek
  */

class OidItem
{
public: 
	OidItem();
	~OidItem();
	
  /** Return path */
  QString Path() const;

  /** Read OID */
  void Read_objid(const QString &);

public:
	oid m_anOID[MAX_OID_LEN];
	size_t m_anOID_len;
};

#endif
